---
layout: default1
title: Changelog
permalink: /changelog
---


# v1.11

- Added new links to [qubes](./qubes)

- Updated Qubes references to `fedora-37` from `fedora-36`

- Instructions for proxying `wget` on [qubes](./qubes)

- Added Mullvad VPN guide for Qubes on [guide](./guide)

- Updated [transparency](./transparency)

- New links on [information](./information)

- Created  `dvm-zulucrypt` guide at [dvm-zulucrypt](./qubes/dvm-zulucrypt)

- Created  `sys-dns` guide at [kicksecure-sys-dns](./qubes/kicksecure-sys-dns)

- Added new `tor-usage` section on [guide](./guide)

- Added new `tor-operating-systems` section on [guide](./guide)

- Added new `contributing-to-tor` section on [guide](./guide)

- Added new `grapheneos-hardening` section on [guide](./guide)

- Added app repository information on [guide](./guide)

- Reformatted the [collections](./collections) section on [index](./)

- Reformatted various text

- Updated the JS and CSS


# v1.10

- Updated README

- Added blog section to ``/index``

- Added plausible deniability section on ``/guide``

- Added plausible deniability section on ``/tools``

- Added tails section on ``/guide``

- Updated website security headers

- Updated Git README

- Updated XMR address

- Added Schild onion address

- Added secure computing section on ``/guide``

- Add SEO improvements

- Update the Matrix ``./well-known`` file to have better support for clients

- Added Proton Drive to ``/tools``

- Updated various aspects with the CSS

# v1.09

- Updated headers on ``/tools``

- Added disclaimer to ``/guide``

- Added Qubes best practices to ``/qubes``

- Added Whonix section to ``/qubes``

- New ``/transparency`` page

- New guide listed on ``/qubes``

- New content for the "Mobile" section on ``/guide``

- Improved README

- Revised ``/services`` page

- Updated naming scheme for files

- New articles added

# v1.08

- New Paste service

- New Mastodon instance

- New blog post

- Updated buttons on ``/index`` to display Mastodon and Synapse

- Added new services to ``/tools``

- Added Mobile section to ``/guide``

- Updated services on ``/services``

# v1.07

- Fixed various typographical errors throughout the site

- Closed the forums

- Updated ``/services`` page to include removal of IP addresses on Synapse

- Moved repository to self-hosted Git instance

- Updated Git instances on ``/index``

- Added donation button on ``/index``

- Updated home page

- Fixed Tor buttons

- Added onion addresses for various services

- New beta onion Matrix server

- New OTS service

- New schild service

- New service on ``/propagation``

# v1.06

- Updated styling on ``/guide``

- Donation button on ``/index``

- Additional content on ``/fdroid``

- dependabot & megalinter

- Typographical error fixed throughout

- CC0 License

- Rename ``/guide`` to ``anonymity-guide.md``

- New customizations and templates section on ``/qubes``

- Various updates to ``/services``

- Remove Forum links

# v1.05

- New GrapheneOS page on ``/graphene``

- New F-Droid page on ``/f-droid``

- Updated Qubes OS content on ``/qubes``

- Update various formatting

- Added Briar on ``/guide``

- New "Physical" section on ``/guide``

- New ``/snowflake`` page

- New ``/help`` page

- Additional content on ``/information`` for products

- More content on ``/guide`` for secure hardware

- New articles & videos on ``/guide`` for facial recognition and thermal imaging

# v1.04

- Fixed various naming schemes

- Removed NoScript, LocalCDN and CanvasBlocker from ``/tools``

- Added Bitwarden to ``/tools``

- Update page list on ``/index``

- Update ``/services`` page for better formatting and wording

- Updated ``/RSS`` page

- New ``/propagate`` page

- Update button layout on ``/index``

- Added favicon

- Add disclaimer for Duckduckgo and Yubikey on ``/tools``

# v1.03

- Removed update notice

- Updated resource links on ``/guide``

- Updated several typographical errors

- Added icons to index

- New ``/matrix`` page

- New browser section on ``/guide``

- Additional content regarding secure messengers on ``/guide``

- Updated various spacing and wording on ``/tools``

- Update spacing on ``index``

# v1.02

- Update ``index`` to include page list

- Include ``research`` section inside ``/information``

- Added self-hosted Element instance

- New ``/qubes`` page for notes reguarding QubesOS

- Additional Kicksecure documentation on ``/qubes``

- Update ``services`` page

- New Forums

- Added Mega research URL

# v1.01

- Additional content for aliasing in ``/guide``

- Update formatting and wording in ``/tools``

- Include the preface and footnotes in ``/guide``

- Update desktop security model information in ``/guide``

- Formatting changes in ``/guide``

- New blog post

- Updated titles in ``/rss``

- Matrix IP logging reduced to 30 seconds

- New ``information`` page which will include articles, projects, etc.

- Several typographical errors fixed

- RSS feed for ``items``

# v1.0

- Added new page ``Services.md``

- Reformatting old blog post

- New Jekyll plugin ``jekyll-feed``

- New Jekyll plugin ``jekyll-seo-tag``

- New ``_changelog`` folder along with ``changelog.md``

- Fix formatting error on ``Services.md``

- Added RSS feed for ``posts`` and for ``changelog``

- Updated file naming to be consistent

- Reformat buttons on ``index.md``
